ISFDTYPE(3)

NAME
isfdtype - determine whether a file descriptor is of a specific type

SYNOPSIS
#include <sys/stat.h>
int
isfdtype(int fd, int fdtype);

DESCRIPTION
The isfdtype() function checks whether or not the file descriptor fd is of type fdtype.

A list of possible file types may be found in stat(2) and the <sys/stat.h> include file.

RETURN VALUES
The isfdtype() function returns 1 if fd is of type fdtype and 0 if it is not. If isfdtype() fails, a value of -1 is returned and the global variable errno is set to indicate the error.

ERRORS
The following error codes may be set in errno:

[EBADF]
    fd is not a valid open file descriptor.

[EIO]
    An I/O error occurred while reading from or writing to the file system.

SEE ALSO
stat(2)

HISTORY
The isfdtype() function first appeared in OpenBSD 3.3.